std::error_category(3cxx)

NAME
std::error_category

SYNOPSIS

  Public Member Functions

error_category (const error_category &)=delete
virtual error_condition default_error_condition (int __i) const noexcept
virtual bool equivalent (const error_code &__code, int __i) const noexcept
virtual bool equivalent (int __i, const error_condition &__cond) const noexcept
virtual string message (int) const =0
virtual const char * name () const noexcept=0
bool operator!= (const error_category &__other) const noexcept
bool operator< (const error_category &__other) const noexcept
error_category & operator= (const error_category &)=delete
bool operator== (const error_category &__other) const noexcept

Detailed Description

Abstract base class for types defining a category of error codes.

An error category defines a context that give meaning to the integer stored in an error_code or error_condition object. For example, the standard errno constants such a EINVAL and ENOMEM are associated with the 'generic' category and other OS-specific error numbers are associated with the 'system' category, but a user-defined category might give different meanings to the same numerical values.

Since
    C++11

Author

Generated automatically by Doxygen for libstdc++ from the source code.